'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _kendoBaseComponentsVueWrapper = require('@progress/kendo-base-components-vue-wrapper');

var _PivotConfiguratorProps = require('./PivotConfiguratorProps');

var _PivotConfiguratorProps2 = _interopRequireDefault(_PivotConfiguratorProps);

var _Messages = require('./Messages');

var _Messages2 = _interopRequireDefault(_Messages);

var _Sortable = require('../Common/Sortable');

var _Sortable2 = _interopRequireDefault(_Sortable);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = {
    props: _PivotConfiguratorProps2.default,
    mixins: [_kendoBaseComponentsVueWrapper.KendoBaseComponent, _kendoBaseComponentsVueWrapper.KendoBaseDatasourceComponent, _Messages2.default, _Sortable2.default],
    mounted: function mounted() {
        kendo.jQuery(this.$el).kendoPivotConfigurator(this.widgetOptions);

        this.$emit('kendowidgetready', this.kendoWidget());
    },

    methods: {
        kendoWidget: function kendoWidget() {
            return kendo.jQuery(this.$el).getKendoPivotConfigurator();
        }
    }
};