"use strict";

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.default = {
    dataSource: Object | kendo.data.PivotDataSource,
    autoBind: Boolean,
    reorderable: Boolean,
    excel: Object,
    pdf: Object,
    filterable: Boolean,
    sortable: Boolean | Object,
    columnWidth: Number,
    height: Number | String,
    columnHeaderTemplate: String | Function,
    dataCellTemplate: String | Function,
    kpiStatusTemplate: String | Function,
    kpiTrendTemplate: String | Function,
    rowHeaderTemplate: String | Function,
    messages: Object,

    // Events
    dataBinding: Function,
    dataBound: Function,
    expandMember: Function,
    collapseMember: Function,
    excelExport: Function,
    pdfExport: Function
};