'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _KendoPivotGrid = require('../KendoPivotGrid');

var _KendoPivotGrid2 = _interopRequireDefault(_KendoPivotGrid);

var _KendoPivotConfigurator = require('../KendoPivotConfigurator');

var _KendoPivotConfigurator2 = _interopRequireDefault(_KendoPivotConfigurator);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

let KendoPivotGridInstaller = class {
    static install(Vue) {
        Vue.component(_KendoPivotGrid2.default.name, _KendoPivotGrid2.default);
        Vue.component(_KendoPivotConfigurator2.default.name, _KendoPivotConfigurator2.default);
    }
};

exports.default = KendoPivotGridInstaller;

// Automatic installation if Vue has been added to the global scope.

if (typeof window !== 'undefined' && window.Vue) {
    window.Vue.use(KendoPivotGridInstaller);
}