---
title: messagesProps API
description: "API Index | messagesProps"
api_reference: true
slug: api_pivotconfigurator_messagesprops
---

# MessagesProps

### messages-measures `String`

The text messages that are displayed in the **Measure** field sections.

### messages-columns `String`

The text messages that are displayed in the **Column** field sections.

### messages-rows `String`

The text messages that are displayed in the **Row** field sections.

### messages-measures-label `String`

The text messages that are displayed for the **Measure** label.

### messages-rows-label `String`

The text messages that are displayed for the **Row** label.

### messages-columns-label `String`

The text messages that are displayed for the **Column** label.

### messages-fields-label `String`

The text messages that are displayed for the **Field** label.

### messages-field-menu-info `String`

The text messages that are displayed in the **Field** filter.

### messages-field-menu-sort-ascending `String`

The text message that is displayed for the menu item which performs the ascending sort.

### messages-field-menu-sort-descending `String`

The text message that is displayed for the menu item which performs the descending sort.

### messages-field-menu-filter-fields `String`

The text messages of the **Fields** filter menu item.

### messages-field-menu-filter `String`

The text messages of the **Filter** button.

### messages-field-menu-include `String`

The text messages of the **Include** menu item.

### messages-field-menu-title `String`

The title of the **Include fields** dialog.

### messages-field-menu-clear `String`

The text of the **Clear filter expressions** button.

### messages-field-menu-ok `String`

The text of the **OK** button in the **Include fields** dialog.

### messages-field-menu-cancel `String`

The text of the **Cancel** button in the **Include fields** dialog.

### messages-field-menu-operators-contains `String`

The text of the **Contains** filter operator.

### messages-field-menu-operators-doesnotcontain `String`

The text of the **Does not contain** filter operator.

### messages-field-menu-operators-startswith `String`

The text of the **Starts with** filter operator.

### messages-field-menu-operators-endswith `String`

The text of the **Ends with** filter operator.

### messages-field-menu-operators-eq `String`

The text of the **Equal** filter operator.

### messages-field-menu-operators-neq `String`

The text of the **Not equal** filter operator.

## See Also

* [`Messages` in Kendo UI PivotConfigurator](https://docs.telerik.com/kendo-ui/api/javascript/ui/pivotconfigurator/configuration/messages)
